import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface FalseAlarmResultVO extends BaseEntity {
  /**
   * 架次号
   */
  sortieNo: string

  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 警告代码
   */
  code: string

  /**
   * 警告名称
   */
  name: string

  /**
   * 警告描述
   */
  describe: string

  /**
   * 状态
   */
  status: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface FalseAlarmResultForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 虚警抑制Id
   */
  falseAlarmId?: string | number

  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 警告代码
   */
  code?: string

  /**
   * 警告名称
   */
  name?: string

  /**
   * 警告描述
   */
  describe?: string

  /**
   * 状态
   */
  status?: string
}

export interface FalseAlarmResultQuery extends PageQuery {
  /**
   * 虚警抑制Id
   */
  falseAlarmId?: string | number

  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 警告代码
   */
  code?: string

  /**
   * 警告名称
   */
  name?: string

  /**
   * 警告描述
   */
  describe?: string

  /**
   * 状态
   */
  status?: string

  /**
   * 日期范围参数
   */
  params?: any
}
