import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface PreProcessingVO extends BaseEntity {
  /**
   * 架次号
   */
  sortieNo: string

  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 文件Id
   */
  ossId: string | number

  /**
   * 状态
   */
  status: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface PreProcessingForm {
  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 文件Id
   */
  ossId?: string | number

  /**
   * 状态
   */
  status?: string
}

export interface PreProcessingQuery extends PageQuery {
  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 文件Id
   */
  ossId?: string | number

  /**
   * 状态
   */
  status?: string

  /**
   * 日期范围参数
   */
  params?: any
}
